local x = Def.ActorFrame {};

x[#x+1] = Def.ActorFrame {
		Def.Quad {
			InitCommand=cmd(zoomto,300,60;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffuse,color("#8C91C1"););
			OnCommand=cmd(diffusealpha,0;addx,-10;decelerate,0.3;addx,10;diffusealpha,1;sleep,0.5);
			OffCommand=cmd(decelerate,0.3;addx,10;diffusealpha,0;);
		};
		LoadFont("Common Normal")..{
			Text=ScreenString("Saving Profiles");
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffuse,color("1,1,1,1"););
			OnCommand=cmd(diffusealpha,0;addx,-10;decelerate,0.3;addx,10;diffusealpha,1;sleep,0.5);
			OffCommand=cmd(decelerate,0.3;addx,10;diffusealpha,0;);
		};
};

x[#x+1] = Def.Actor {
	BeginCommand=function(self)
		if SCREENMAN:GetTopScreen():HaveProfileToSave() then self:sleep(1); end;
		self:queuecommand("Load");
	end;
	LoadCommand=function() SCREENMAN:GetTopScreen():Continue(); end;
};

return x;